package com.iamberry.wechat.service.agent.dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.iamberry.wechat.core.entity.agent.AgentApply;
import com.iamberry.wechat.service.agent.dao.AgentApplyDAO;
import com.iamberry.wechat.service.mapper.AgentApplyMapper;

/**
 * 微代理申请 实现类
 * @author 穆再兴
 *	2016年4月19日
 */
@Repository
public class AgentApplyDAOImpl implements AgentApplyDAO{
	
	@Autowired
	private AgentApplyMapper agentApplyMapper;

	/**
	 * 查询符合条件所有申请
	 * 2016年4月27日
	 * @author 穆再兴
	 * @return
	 */
	public List<AgentApply> getAllApplyByOpenid(AgentApply agentApply){
		return agentApplyMapper.getAllApplyByOpenid(agentApply);
	}
	/**
	 * 查询符合条件所有申请数
	 * 2016年4月27日
	 * @author 穆再兴
	 * @return
	 */
	public int getAllApplyCount(AgentApply agentApply){
		return agentApplyMapper.getAllApplyCount(agentApply);
	}
	/**
	 * 添加一条申请
	 * @author 穆再兴
	 * @return
	 * 2016年4月19日
	 */
	@Override
	public Integer addAgentApply(AgentApply agentApply) {
		return agentApplyMapper.addAgentApply(agentApply);
	}
	/**
	 * 通过id 查询一个AgentApply
	 * @param applyId
	 * @return
	 */
	@Override
	public AgentApply getAgentApplyById(Integer applyId) {
		return agentApplyMapper.getAgentApplyById(applyId);
	}

	/**
	 * 通过openid 查询此用户的所有申请
	 * @param applyId
	 * @return
	 */
	@Override
	public List<AgentApply> getAgentApplyByOpenId(String openId) {
		return agentApplyMapper.getAgentApplyByOpenId(openId);
	}
	/**
	 * 根据applyId 修改一个申请的信息
	 * @author 穆再兴	2016年4月19日
	 * @param apply
	 * @return
	 */
	@Override
	public Integer updateAgentApplyByApplyId(AgentApply apply) {
		return agentApplyMapper.updateAgentApplyByApplyId(apply);
	}
	

}
